ZRAMCTL(8)

NAZWA
zramctl - konfiguruje i steruje urządzeniami zram

SKŁADNIA

Pobranie informacji:
    zramctl [opcje]

Reset zram:
    zramctl -r urządzenie-zram...

    Wypisanie nazwy pierwszego nieużywanego urządzenia zram
        zramctl -f

    Konfiguracja urządzenia zram
        zramctl [-f | urządzenie-zram] [-s rozmiar] [-t liczba] [-a algorytm]

OPIS

zramctl służy do szybkiej konfiguracji parametrów urządzeń zram, do resetowania urządzeń ram oraz do sprawdzenia stanu używanych urządzeń zram.

Jeśli nie poda się opcji, pokazywane są wszystkie urządzenia zram o niezerowym rozmiarze.

Proszę zauważyć, że węzeł urządzenia-zram podany w wierszu polecenia musi istnieć wcześniej. Polecenie zramctl tworzy nowe węzły /dev/zram<N> tylko, gdy podano opcję --find. Możliwe jest (i często spotykane) że po rozruchu systemu, węzły /dev/zram<N> nie zostały jeszcze utworzone.

OPCJE

-a, --algorytm lzo|lz4|lz4hc|deflate|842|zstd
    Konfiguruje algorytm kompresji służący do kompresji danych w urządzeniu zram.

    Lista obsługiwanych algorytmów może być niedokładna, ponieważ zależy od bieżącej konfiguracji jądra. Uproszczony przegląd można pozyskać poleceniem "cat /sys/block/zram0/comp_algorithm"; jednak proszę zauważyć, że ta lista również może być niekompletna. Wynika to z faktu, że ZRAM korzysta z API Crypto, a jeśli określone algorytmy zbudowano jako moduły, niemożliwe staje się wyszczególnienie ich wszystkich.

-f, --find
    Szuka pierwszego nieużywanego urządzenia zram. Jeśli podano argument --size, to inicjuje to urządzenie.

-n, --noheadings
    Nie wypisuje wiersza nagłówka w wyjściu statusu.

-o, --output lista
    Definiuje używane kolumny wyjściowe. Jeśli nie podano ustawienia kolumn, używany jest zestaw domyślny. Opcja --help wypisze listę wszystkich obsługiwanych kolumn.

    Domyślną listę kolumn można rozszerzyć, jeśli listę poda się w formacie +lista (np. zramctl -o+COMP-RATIO).

-p, --algorithm-params
    Konfiguruje parametry algorytmu np. level=9 dict=/etc/dictionary ustawi poziom kompresji oraz wytrenowany wcześniej słownik. Parametry zależą od algorytmu.

--output-all
    Wypisuje wszystkie dostępne kolumny.

--raw
    Używa formatu surowego w wyjściu.

-r, --reset
    Resetuje opcje podanego urządzenia/urządzeń zram. Ustawienia urządzenia zram można zmienić tylko po wcześniejszym resecie.

-s, --size rozmiar
    Tworzy urządzenie zram o podanym rozmiarze. Urządzenia zram jest wyrównywane do stron pamięci, gdy żądany rozmiar nie będzie wielokrotnością rozmiaru strony, zostanie zaokrąglony do następnej wielokrotności. Jeśli nie poda się inaczej, jednostką parametru rozmiar są bajty.

    Po argumencie rozmiar mogą wystąpić przyrostki oznaczające wielokrotność KiB (=1024), MiB (=1024*1024) itd. dla GiB, TiB, PiB, EiB, ZiB i YiB (cząstka "iB" jest opcjonalna, np. "K" ma to samo znaczenie co "KiB") albo przyrostki KB (=1000), MB (=1000*1000) itd. dla GB, TB, PB, EB, ZB i YB.

-t, --streams liczba
    Ustawia maksymalną liczbą strumieni kompresji, które mogą być użyte dla urządzenia. Domyślnie używane są wszystkie procesory albo, w jądrach starszych niż 4.6, jeden strumień.

-h, --help
    Wyświetla ten tekst i wychodzi.

-V, --version
    Wyświetla wersję i wychodzi.

STATUS ZAKOŃCZENIA

zramctl zwraca 0 w przypadku sukcesu lub wartość niezerową w przypadku błędu.

PLIKI

/dev/zram[0..N]
    urządzenia blokowe zram

PRZYKŁAD

Poniższe polecenia skonfigurują urządzenie zram o rozmiarze gigabajta oraz ustawią go jako urządzenie wymiany.

     # zramctl --find --size 1024M
     /dev/zram0
     # mkswap /dev/zram0
     # swapon /dev/zram0
     ...
     # swapoff /dev/zram0
     # zramctl --reset /dev/zram0

AUTORZY

ZOBACZ TAKŻE

ZGŁASZANIE BŁĘDÓW

Problemy należy zgłaszać w

DOSTĘPNOŚĆ

Polecenie zramctl jest częścią pakietu util-linux, który można pobrać ze strony